# LowHpMoveTypePowerBoostAbAttr | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class LowHpMoveTypePowerBoostAbAttr

#### Hierarchy (view full)

- MoveTypePowerBoostAbAttr
  - LowHpMoveTypePowerBoostAbAttr

- Defined in src/data/ability.ts:1121

#####
Index

### Constructors

constructor

### Properties

showAbility

### Methods

addCondition
apply
applyPreAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new LowHpMoveTypePowerBoostAbAttr(boostedType): LowHpMoveTypePowerBoostAbAttr

- #### Parameters

  - boostedType: Type

  #### Returns LowHpMoveTypePowerBoostAbAttr

  Overrides MoveTypePowerBoostAbAttr.constructor

  - Defined in src/data/ability.ts:1122

## Properties

### showAbility

showAbility: boolean

Inherited from MoveTypePowerBoostAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from MoveTypePowerBoostAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from MoveTypePowerBoostAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreAttack

- applyPreAttack(pokemon, passive, defender, move, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - defender: default
  - move: default
  - args: any[]

  #### Returns boolean

  Inherited from MoveTypePowerBoostAbAttr.applyPreAttack

  - Defined in src/data/ability.ts:1104

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Overrides MoveTypePowerBoostAbAttr.getCondition

  - Defined in src/data/ability.ts:1126

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from MoveTypePowerBoostAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137